XFcAudioStream class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcAudioStream Class Reference

Audio stream base class. More...

Inheritance diagram for XFcAudioStream:

[legend]
Collaboration diagram for XFcAudioStream:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT void | play ()
| Called when a play() call is made to XFcAudio with this producer (callback).
virtual XFCIMPORT void | stop ()
| Called when a stop() call is made to XFcAudio with this producer (callback).
virtual XFCIMPORT void | pause ()
| Called when a pause() call is made to XFcAudio with this producer (callback).
virtual XFCIMPORT void | resume ()
| Called when a resume() call is made to XFcAudio with this producer (callback).
virtual XFCIMPORT UINT32 | stream (void *aBuffer, INT32 aTargetSamples, INT32 aOffset, INT32 aSamples)=0
| Called when new data is required by the system (callback).
virtual XFCIMPORT | ~XFcAudioStream ()
| Destructor.

## Protected Member Functions

XFCIMPORT | XFcAudioStream ()
| Constructor.
XFCIMPORT INT | initialize (FLOAT32 aSamplingRate, UINT32 aFlags, REAL aVolume, REAL aPanning, UINT16 aPriority)
| Initialization method.
XFCIMPORT INT | initialize (XFcAudioFormat aFormat, REAL aVolume, REAL aPanning, UINT16 aPriority)
| Initialization method.

## Detailed Description

Audio stream base class.

## Constructor & Destructor Documentation

virtual XFCIMPORT XFcAudioStream::~XFcAudioStream | ( |  | ) | `[virtual]`

| Destructor.

XFCIMPORT XFcAudioStream::XFcAudioStream | ( |  | ) | `[protected]`

| Constructor.

## Member Function Documentation

XFCIMPORT INT XFcAudioStream::initialize | ( | XFcAudioFormat | aFormat,
|  | REAL | aVolume,
|  | REAL | aPanning,
|  | UINT16 | aPriority
| ) | `[protected]`

| Initialization method. This should be called by all extending classes in their creation method.

XFCIMPORT INT XFcAudioStream::initialize | ( | FLOAT32 | aSamplingRate,
|  | UINT32 | aFlags,
|  | REAL | aVolume,
|  | REAL | aPanning,
|  | UINT16 | aPriority
| ) | `[protected]`

| Initialization method. This should be called by all extending classes in their creation method.

virtual XFCIMPORT void XFcAudioStream::pause | ( |  | ) | `[virtual]`

| Called when a pause() call is made to XFcAudio with this producer (callback).

virtual XFCIMPORT void XFcAudioStream::play | ( |  | ) | `[virtual]`

| Called when a play() call is made to XFcAudio with this producer (callback).

virtual XFCIMPORT void XFcAudioStream::resume | ( |  | ) | `[virtual]`

| Called when a resume() call is made to XFcAudio with this producer (callback).

virtual XFCIMPORT void XFcAudioStream::stop | ( |  | ) | `[virtual]`

| Called when a stop() call is made to XFcAudio with this producer (callback).

virtual XFCIMPORT UINT32 XFcAudioStream::stream | ( | void * | aBuffer,
|  | INT32 | aTargetSamples,
|  | INT32 | aOffset,
|  | INT32 | aSamples
| ) | `[pure virtual]`

Called when new data is required by the system (callback).

Parameters:

  aBuffer | Pointer to target sound buffer data.
  aTargetSamples | Size of target sound buffer data in samples.
  aOffset | Start offset to target sound buffer data.
  aSamples | Required number of samples.

Returns:
  1 if successful, 0 if unsuccessful (currently ignored).

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch